com.genesyslab.wfm7.API.service.forecast710

## Class FrcStaffingDataParameters

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast710.FrcStaffingDataParameters

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcStaffingDataParameters
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private FrcTemplateData[]` | `IOTTemplate`
    `private int` | `IOTTemplateArraySize`
    `private FrcTemplateData[]` | `nonWorkOverheadTemplate`
    `private int` | `nonWorkOverheadTemplateArraySize`
    `private FrcDataParameters[]` | `parameters`
    `private int` | `parametersArraySize`
    `private FrcTemplateData[]` | `workOverheadTemplate`
    `private int` | `workOverheadTemplateArraySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcStaffingDataParameters()`
    `FrcStaffingDataParameters(int parametersArraySize, FrcDataParameters[] parameters, int IOTTemplateArraySize, FrcTemplateData[] IOTTemplate, int workOverheadTemplateArraySize, FrcTemplateData[] workOverheadTemplate, int nonWorkOverheadTemplateArraySize, FrcTemplateData[] nonWorkOverheadTemplate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `FrcTemplateData[]` | `getIOTTemplate()` Gets the IOTTemplate value for this FrcStaffingDataParameters.
    `int` | `getIOTTemplateArraySize()` Gets the IOTTemplateArraySize value for this FrcStaffingDataParameters.
    `FrcTemplateData[]` | `getNonWorkOverheadTemplate()` Gets the nonWorkOverheadTemplate value for this FrcStaffingDataParameters.
    `int` | `getNonWorkOverheadTemplateArraySize()` Gets the nonWorkOverheadTemplateArraySize value for this FrcStaffingDataParameters.
    `FrcDataParameters[]` | `getParameters()` Gets the parameters value for this FrcStaffingDataParameters.
    `int` | `getParametersArraySize()` Gets the parametersArraySize value for this FrcStaffingDataParameters.
    `FrcTemplateData[]` | `getWorkOverheadTemplate()` Gets the workOverheadTemplate value for this FrcStaffingDataParameters.
    `int` | `getWorkOverheadTemplateArraySize()` Gets the workOverheadTemplateArraySize value for this FrcStaffingDataParameters.
    `int` | `hashCode()`
    `void` | `setIOTTemplate(FrcTemplateData[] IOTTemplate)` Sets the IOTTemplate value for this FrcStaffingDataParameters.
    `void` | `setIOTTemplateArraySize(int IOTTemplateArraySize)` Sets the IOTTemplateArraySize value for this FrcStaffingDataParameters.
    `void` | `setNonWorkOverheadTemplate(FrcTemplateData[] nonWorkOverheadTemplate)` Sets the nonWorkOverheadTemplate value for this FrcStaffingDataParameters.
    `void` | `setNonWorkOverheadTemplateArraySize(int nonWorkOverheadTemplateArraySize)` Sets the nonWorkOverheadTemplateArraySize value for this FrcStaffingDataParameters.
    `void` | `setParameters(FrcDataParameters[] parameters)` Sets the parameters value for this FrcStaffingDataParameters.
    `void` | `setParametersArraySize(int parametersArraySize)` Sets the parametersArraySize value for this FrcStaffingDataParameters.
    `void` | `setWorkOverheadTemplate(FrcTemplateData[] workOverheadTemplate)` Sets the workOverheadTemplate value for this FrcStaffingDataParameters.
    `void` | `setWorkOverheadTemplateArraySize(int workOverheadTemplateArraySize)` Sets the workOverheadTemplateArraySize value for this FrcStaffingDataParameters.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parametersArraySize

          private int parametersArraySize

    - #### parameters

          private FrcDataParameters[] parameters

    - #### IOTTemplateArraySize

          private int IOTTemplateArraySize

    - #### IOTTemplate

          private FrcTemplateData[] IOTTemplate

    - #### workOverheadTemplateArraySize

          private int workOverheadTemplateArraySize

    - #### workOverheadTemplate

          private FrcTemplateData[] workOverheadTemplate

    - #### nonWorkOverheadTemplateArraySize

          private int nonWorkOverheadTemplateArraySize

    - #### nonWorkOverheadTemplate

          private FrcTemplateData[] nonWorkOverheadTemplate

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcStaffingDataParameters

          public FrcStaffingDataParameters()

    - #### FrcStaffingDataParameters

          public FrcStaffingDataParameters(int parametersArraySize,
                                   FrcDataParameters[] parameters,
                                   int IOTTemplateArraySize,
                                   FrcTemplateData[] IOTTemplate,
                                   int workOverheadTemplateArraySize,
                                   FrcTemplateData[] workOverheadTemplate,
                                   int nonWorkOverheadTemplateArraySize,
                                   FrcTemplateData[] nonWorkOverheadTemplate)

  - ### Method Detail

    - #### getParametersArraySize

          public int getParametersArraySize()

      Gets the parametersArraySize value for this FrcStaffingDataParameters.
      Returns:
        parametersArraySize

    - #### setParametersArraySize

          public void setParametersArraySize(int parametersArraySize)

      Sets the parametersArraySize value for this FrcStaffingDataParameters.
      Parameters:
        `parametersArraySize` -

    - #### getParameters

          public FrcDataParameters[] getParameters()

      Gets the parameters value for this FrcStaffingDataParameters.
      Returns:
        parameters

    - #### setParameters

          public void setParameters(FrcDataParameters[] parameters)

      Sets the parameters value for this FrcStaffingDataParameters.
      Parameters:
        `parameters` -

    - #### getIOTTemplateArraySize

          public int getIOTTemplateArraySize()

      Gets the IOTTemplateArraySize value for this FrcStaffingDataParameters.
      Returns:
        IOTTemplateArraySize

    - #### setIOTTemplateArraySize

          public void setIOTTemplateArraySize(int IOTTemplateArraySize)

      Sets the IOTTemplateArraySize value for this FrcStaffingDataParameters.
      Parameters:
        `IOTTemplateArraySize` -

    - #### getIOTTemplate

          public FrcTemplateData[] getIOTTemplate()

      Gets the IOTTemplate value for this FrcStaffingDataParameters.
      Returns:
        IOTTemplate

    - #### setIOTTemplate

          public void setIOTTemplate(FrcTemplateData[] IOTTemplate)

      Sets the IOTTemplate value for this FrcStaffingDataParameters.
      Parameters:
        `IOTTemplate` -

    - #### getWorkOverheadTemplateArraySize

          public int getWorkOverheadTemplateArraySize()

      Gets the workOverheadTemplateArraySize value for this FrcStaffingDataParameters.
      Returns:
        workOverheadTemplateArraySize

    - #### setWorkOverheadTemplateArraySize

          public void setWorkOverheadTemplateArraySize(int workOverheadTemplateArraySize)

      Sets the workOverheadTemplateArraySize value for this FrcStaffingDataParameters.
      Parameters:
        `workOverheadTemplateArraySize` -

    - #### getWorkOverheadTemplate

          public FrcTemplateData[] getWorkOverheadTemplate()

      Gets the workOverheadTemplate value for this FrcStaffingDataParameters.
      Returns:
        workOverheadTemplate

    - #### setWorkOverheadTemplate

          public void setWorkOverheadTemplate(FrcTemplateData[] workOverheadTemplate)

      Sets the workOverheadTemplate value for this FrcStaffingDataParameters.
      Parameters:
        `workOverheadTemplate` -

    - #### getNonWorkOverheadTemplateArraySize

          public int getNonWorkOverheadTemplateArraySize()

      Gets the nonWorkOverheadTemplateArraySize value for this FrcStaffingDataParameters.
      Returns:
        nonWorkOverheadTemplateArraySize

    - #### setNonWorkOverheadTemplateArraySize

          public void setNonWorkOverheadTemplateArraySize(int nonWorkOverheadTemplateArraySize)

      Sets the nonWorkOverheadTemplateArraySize value for this FrcStaffingDataParameters.
      Parameters:
        `nonWorkOverheadTemplateArraySize` -

    - #### getNonWorkOverheadTemplate

          public FrcTemplateData[] getNonWorkOverheadTemplate()

      Gets the nonWorkOverheadTemplate value for this FrcStaffingDataParameters.
      Returns:
        nonWorkOverheadTemplate

    - #### setNonWorkOverheadTemplate

          public void setNonWorkOverheadTemplate(FrcTemplateData[] nonWorkOverheadTemplate)

      Sets the nonWorkOverheadTemplate value for this FrcStaffingDataParameters.
      Parameters:
        `nonWorkOverheadTemplate` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.